# TSInitializePackage

This function initializes everything in the TS package. It is called from PetscDLLibraryRegister() when using dynamic libraries, and on the first call to TSCreate() when using static libraries.

### Synopsis

    PetscErrorCode PETSCTS_DLLEXPORT TSInitializePackage(const char path[])

### Input Parameter

path - The dynamic library path, or PETSC_NULL

### Keywords

TS, initialize, package

### See Also

PetscInitialize()

Level:developer
Location: src/ts/interface/dlregists.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages